<?php

namespace App\Http\Middleware;

use App\Models\AdminModel;
use App\Models\AccessRightsModel;
use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class AccessRights
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {

        $user_id = auth()->user()->id;

        $checkAdmin = AdminModel::where('user_id', $user_id)->first();
       
        if (Auth::user() && $checkAdmin != NULL) {
          
            if ($checkAdmin['deleted'] == 0) {
                
                $checkAccessRights = AccessRightsModel::where('admin_id', $checkAdmin['id'])->first();
                // dd($checkAdmin['deleted'],$checkAccessRights);
                if ($request->is('admin/code-voucher/*') && $checkAccessRights['code_voucher'] == 1) {
                    return $next($request);
                } else if ($request->is('admin/setting/*') && $checkAccessRights['settings'] == 1) {
                    return $next($request);
                } else if ($request->is('admin/staff/*') && $checkAccessRights['admin_staff'] == 1) {
                    return $next($request);
                }
            }
        }

        return abort(404);
    }
}
