<?php

namespace App\Http\Controllers\Admin\CodeVoucher;

use App\Http\Controllers\Controller;
use App\Models\CodeVoucherModel;
use App\Models\GiftModel;
use Illuminate\Http\Request;
use Ramsey\Uuid\Uuid;

class CodeVoucherController extends Controller
{
    function index()
    {
        
        $title = "Daftar Code Voucher";

        $list = CodeVoucherModel::where('created_at', '!=', NULL)->orderBy('created_at', 'DESC')->get();

        return view('/pages/admin/code-voucher/index', [
            'title' => $title,
            'list' => $list
        ]);
    }

    function form()
    {
        $title = "Form Code Voucher";

        $list_gift = GiftModel::where('deleted_at', NULL)->orderBy('created_at')->get();

        return view('/pages/admin/code-voucher/form', [
            'title' => $title,
            'list_gift' => $list_gift
        ]);
    }

    function create(Request $request)
    {

        $data = $request->all();

        $data['id'] = Uuid::uuid4()->toString();

        $data['date_generated'] = date("Y-m-d H:i:s");

        $data['name'] = $data['player'];

        $data['code'] = substr(md5(uniqid(mt_rand(), true)), 0, 6);

        $data['gift_name'] = ($data['gift_name'] == 'random') ? NULL : $data['gift_name'];

        unset($data['player']);

        CodeVoucherModel::create($data);

        session()->flash('success', 'Berhasil membuat code voucher!');

        return redirect('/admin/code-voucher/list');
    }

    function claim($code)
    {

        $update = [
            "claim" => 1
        ];

        CodeVoucherModel::where('code', $code)
            ->update($update);

        session()->flash('success', 'Hadiah berhasil diklaim!');

        return redirect('/admin/code-voucher/list');
    }

    function delete($code)
    {

        CodeVoucherModel::where('code', $code)->delete();

        session()->flash('success', 'Code Voucher dihapus!');

        return redirect('/admin/code-voucher/list');
    }
}
