<?php

namespace App\Http\Controllers\Admin\Settings;

use App\Http\Controllers\Controller;
use App\Models\SettingModel;
use Illuminate\Http\Request;

class ViewController extends Controller
{
    function index()
    {
        $title = "Pengaturan Tampilan";
        $list = SettingModel::where('active', 1)->get();

        return view('/pages/admin/settings/view/index', [
            'title' => $title,
            'list' => $list
        ]);
    }

    function form($key)
    {

        $detail = SettingModel::where('key', $key)->first();

        $title = "Pengaturan - " . $detail->title;

        return view('/pages/admin/settings/view/form', [
            'title' => $title,
            'detail' => $detail
        ]);
    }

    function save(Request $request)
    {
        $data = $request->all();

        $file = $request->file('value');

        if ($file != null) {
            $urlFile = $file->store('files');
            $data['value'] = asset($urlFile);
        }

        unset($data["_token"]);

        SettingModel::where('key', $data['key'])->update($data);

        session()->flash('success', 'Berhasil merubah pengaturan!');

        return redirect('/admin/setting/view');
    }

    function reset($key)
    {

        $data['value'] = NULL;

        SettingModel::where('key', $key)->update($data);

        session()->flash('success', 'Berhasil mereset pengaturan');

        return redirect('/admin/setting/view');
    }
}
