<?php

namespace App\View\Components\Template;

use App\Models\MetatagModel;
use App\Models\SettingModel;
use Illuminate\View\Component;

class AdminHeaderComponent extends Component
{

    public $metatag;
    public $settings;

    public function __construct()
    {
        $this->metatag = MetatagModel::where('id', 1)->first();
        
        $setting_list = SettingModel::all();

        foreach ($setting_list as $item) {
            $setting[$item->key] = $item->value;
        }
        
        $this->settings = $setting;
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render()
    {
        return view('components.template.admin-header-component');
    }
}
