<?php

namespace Database\Seeders;

use Illuminate\Cache\NullStore;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class SettingSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {

        $setting = array(
            array('id'=>'1','key'=>'websiteName','title'=>'Nama Website','value'=>'MYSTERY BOX - DOMAIN','default_value'=>NULL,'type'=>'text','active'=>1,'created_at'=>'2022-12-06 17:45:28','updated_at'=>'2022-12-06 17:45:28'),
            array('id'=>'2','key'=>'duration','title'=>'Durasi Spin','value'=>'','default_value'=>NULL,'type'=>'text','active'=>0,'created_at'=>'2022-12-06 17:45:28','updated_at'=>'2022-12-06 17:45:28'),
            array('id'=>'3','key'=>'backgroundImage','title'=>'Gambar Background Desktop','value'=>NULL,'default_value'=>'/mystery-box/img/bg-treasure.jpg','type'=>'image','active'=>1,'created_at'=>'2022-12-06 17:45:28','updated_at'=>'2022-12-06 17:45:28'),
            array('id'=>'4','key'=>'backgroundImageMobile','title'=>'Gambar Background Mobile','value'=>NULL,'default_value'=>'/mystery-box/img/bg-treasure-mobile.png','type'=>'image','active'=>0,'created_at'=>'2022-12-06 17:45:28','updated_at'=>'2022-12-07 10:09:46'),
            array('id'=>'5','key'=>'logoImage','title'=>'Gambar Logo','value'=>NULL,'default_value'=>'/mystery-box/img/logo.png','type'=>'image','active'=>1,'created_at'=>'2022-12-06 17:45:28','updated_at'=>'2022-12-06 17:45:28'),    
            array('id'=>'6','key'=>'faviconImage','title'=>'Gambar Favicon','value'=>NULL,'default_value'=>'/mystery-box/img/logo.png','type'=>'image','active'=>1,'created_at'=>'2022-12-06 17:45:28','updated_at'=>'2022-12-23 09:48:07'),
            array('id'=>'7','key'=>'boxRightSide','title'=>'Gambar Sisi Kanan Kotak','value'=>NULL,'default_value'=>'/mystery-box/img/right_prize_wood.png','type'=>'image','active'=>1,'created_at'=>'2022-12-06 17:45:28','updated_at'=>'2022-12-23 09:48:41'),
            array('id'=>'8','key'=>'boxLeftSide','title'=>'Gambar Sisi Kiri Kotak','value'=>NULL,'default_value'=>'/mystery-box/img/left_prize_wood.png','type'=>'image','active'=>1,'created_at'=>'2022-12-06 17:45:28','updated_at'=>'2022-12-23 09:48:44'),
            array('id'=>'9','key'=>'boxTopSide','title'=>'Gambar Sisi Atas Kotak','value'=>NULL,'default_value'=>'/mystery-box/img/top_prize_wood.png','type'=>'image','active'=>1,'created_at'=>'2022-12-06 17:45:28','updated_at'=>'2022-12-23 09:48:47'),
            array('id'=>'10','key'=>'boxBackSide','title'=>'Gambar Sisi Belakang Kota','value'=>NULL,'default_value'=>'/mystery-box/img/back_prize_wood.png','type'=>'image','active'=>1,'created_at'=>'2022-12-06 17:45:28','updated_at'=>'2022-12-23 09:48:50'),
            array('id'=>'11','key'=>'zonkAudio','title'=>'Audio Zonk','value'=>NULL,'default_value'=>'/mystery-box/audio/zonk_audio.mp3','type'=>'audio','active'=>1,'created_at'=>'2022-12-06 17:45:28','updated_at'=>'2022-12-07 10:10:02'),
            array('id'=>'12','key'=>'congratsAudio','title'=>'Audio Congrat','value'=>NULL,'default_value'=>'/mystery-box/audio/congrat_audio.mp3','type'=>'audio','active'=>1,'created_at'=>'2022-12-06 17:45:28','updated_at'=>'2022-12-14 16:28:31'),
            array('id'=>'13','key'=>'mainAudio','title'=>'Audio Utama','value'=>NULL,'default_value'=>'/mystery-box/audio/main_audio.mp3','type'=>'audio','active'=>1,'created_at'=>'2022-12-06 17:45:28','updated_at'=>'2022-12-14 16:28:31'),
            array('id'=>'14','key'=>'welcomeTitle','title'=>'Judul Selamat Datang','value'=>'Selamat Datang di Roda Kemenangan!','default_value'=>NULL,'type'=>'quill','active'=>0,'created_at'=>'2022-12-06 17:45:28','updated_at'=>'2022-07-27 10:25:59'),
            array('id'=>'15','key'=>'welcomeDesc','title'=>'Keterangan Selamat Datang','value'=>'Kami terlebih dahulu mengucapkan selamat kepada setiap member yang memiliki tiket untuk berkesempatan memenangkan hadiah menarik yang ditawarkan di Roda Kemenangan ini, Untuk kalian yang memiliki tiket silahkan masukkan ke kolom kode yang disediakan dan klik tombol spin untuk memulai peruntungan anda.','default_value'=>NULL,'type'=>'quill','active'=>0,'created_at'=>'2022-12-06 17:45:28','updated_at'=>'2022-07-14 21:43:52'),
            array('id'=>'16','key'=>'tnc','title'=>'Syarat & Ketentuan','value'=>'<ul style="padding-left:30px;margin-top:0;background:#f9d6d0;"><li>Minimal Deposit 500 ribu,</li><li>Maks. 1x spin dalam sehari untuk masing-masing member.</li><li>Berlaku untuk semua permainan.</li></ul>','default_value'=>NULL,'type'=>'quill','active'=>0,'created_at'=>'2022-12-06 17:45:28','updated_at'=>'2022-07-14 21:43:52'),
            array('id'=>'17','key'=>'whatsapp','title'=>'Nomor Whatsapp','value'=>'855000011111','default_value'=>NULL,'type'=>'text','active'=>1,'created_at'=>'2022-12-06 17:45:28','updated_at'=>'2022-12-02 06:55:52'),
            array('id'=>'18','key'=>'domain','title'=>'Domain','value'=>'misterybox-kedai69.ink','default_value'=>NULL,'type'=>'text','active'=>0,'created_at'=>'2022-12-06 17:45:28','updated_at'=>'2022-12-02 06:55:52'),
            array('id'=>'19','key'=>'spins','title'=>'Kecepatan Spin','value'=>'','default_value'=>NULL,'type'=>'text','active'=>0,'created_at'=>'2022-12-06 17:45:28','updated_at'=>'2022-12-06 17:45:28'),
            array('id'=>'20','key'=>'spinWheelImage','title'=>'Gambar Spin Wheel','value'=>'','default_value'=>NULL,'type'=>'text','active'=>0,'created_at'=>'2022-12-06 17:45:28','updated_at'=>'2022-12-06 17:45:28'),
            array('id'=>'21','key'=>'spinAudio','title'=>'Audio Spin','value'=>'','default_value'=>NULL,'type'=>'text','active'=>0,'created_at'=>'2022-12-06 17:45:28','updated_at'=>'2022-12-06 17:45:28'),
            array('id'=>'22','key'=>'casinoAudio','title'=>'Audio Casino','value'=>'','default_value'=>NULL,'type'=>'text','active'=>0,'created_at'=>'2022-12-06 17:45:28','updated_at'=>'2022-12-06 17:45:28'),
        );
        DB::table('setting')->insert($setting);



        /*
        DB::table('setting')->insert([
            'id' => '1',
            'key' => 'duration',
            'title' => 'Durasi Spin',
            'value' => ''
        ]);

        DB::table('setting')->insert([
            'id' => '2',
            'key' => 'spins',
            'title' => 'Kecepatan Spin',
            'value' => ''
        ]);

        DB::table('setting')->insert([
            'id' => '3',
            'key' => 'backgroundImage',
            'title' => 'Gambar Background ',
            'value' => ''
        ]);

        DB::table('setting')->insert([
            'id' => '4',
            'key' => 'spinWheelImage',
            'title' => 'Gambar Spin Wheel',
            'value' => ''
        ]);

        DB::table('setting')->insert([
            'id' => '5',
            'key' => 'spinAudio',
            'title' => 'Audio Spin',
            'value' => ''
        ]);

        DB::table('setting')->insert([
            'id' => '6',
            'key' => 'congratsAudio',
            'title' => 'Audio Congrat',
            'value' => ''
        ]);

        DB::table('setting')->insert([
            'id' => '7',
            'key' => 'casinoAudio',
            'title' => 'Audio Casino',
            'value' => ''
        ]);

        DB::table('setting')->insert([
            'id' => '8',
            'key' => 'welcomeTitle',
            'title' => 'Judul Selamat Datang',
            'value' => 'Selamat Datang di Roda Kemenangan!'
        ]);

        DB::table('setting')->insert([
            'id' => '9',
            'key' => 'welcomeDesc',
            'title' => 'Keterangan Selamat Datang',
            'value' => 'Kami terlebih dahulu mengucapkan selamat kepada setiap member yang memiliki tiket untuk berkesempatan memenangkan hadiah menarik yang ditawarkan di Roda Kemenangan ini, Untuk kalian yang memiliki tiket silahkan masukkan ke kolom kode yang disediakan dan klik tombol spin untuk memulai peruntungan anda.'
        ]);

        DB::table('setting')->insert([
            'id' => '10',
            'key' => 'tnc',
            'title' => 'Syarat & Ketentuan',
            'value' => '<ul style="padding-left:30px;margin-top:0;background:#f9d6d0;"><li>Minimal Deposit 500 ribu,</li><li>Maks. 1x spin dalam sehari untuk masing-masing member.</li><li>Berlaku untuk semua permainan.</li></ul>'
        ]);
        */
    }
}
