@extends('layouts.layout-admin')

@section('content')
    <style>
        .no-sort::after {
            display: none !important;
        }

        .no-sort {
            pointer-events: none !important;
            cursor: default !important;
        }
    </style>

    <div class="row" style="min-height: 74vh">
        <div class="col-12 px-lg-4 px-0">
            <div class="card">
                <!-- Card header -->
                <div class="card-header pb-0">
                    <div class="d-lg-flex">
                        <div>
                            <h5 class="mb-0">Code Voucher</h5>
                            <p class="text-sm mb-0">
                                Kelola, buat baru, hapus, edit dan review disini
                            </p>
                        </div>
                        <div class="ms-auto my-auto mt-lg-0 mt-4">
                            <div class="ms-auto my-auto">
                                <a href="/admin/code-voucher/new" class="btn bg-gradient-primary btn-sm mb-0">+&nbsp; Tambah
                                    Baru</a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card-body px-0 pb-0">
                    <div class="table-responsive">
                        <table class="table table-flush" id="products-list">
                            <thead class="thead-light">
                                <tr>
                                    <th>Nama</th>
                                    <th>Kode</th>
                                    <th>Status</th>
                                    <th>Hadiah</th>
                                    <th>Tanggal Dipakai</th>
                                    <th class="no-sort"></th>
                                </tr>
                            </thead>
                            <tbody>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
        if (document.getElementById('products-list')) {

            const list = {!! $list !!};

            const heading = {
                "keys": ["name", "code", "claim", "gift_name", "date_used", "code"],
            };

            const obj = {
                "data": []
            };

            for (let i = 0; i < list.length; i++) {

                obj.data[i] = [];

                for (let j = 0; j < heading.keys.length; j++) {
                    let key = heading.keys[j];
                    let value = list[i][key];
                    if (key == "code") {
                        obj.data[i].push(value.toUpperCase());
                    } else {
                        obj.data[i].push(value);
                    }

                }
            }

            function renderStatus(data, cell, row) {
                if (list[row.dataIndex]['date_used'] == null && data == 0) {
                    return `<h6 class="badge badge-danger badge-sm" data-row="${row.dataIndex}">Belum Dimainkan</h6>`;
                } else if (data == 1) {
                    return `<h6 class="badge badge-success badge-sm" data-row="${row.dataIndex}">Sudah Diklaim</h6>`;
                } else {
                    return `<h6 class="badge badge-warning badge-sm" data-row="${row.dataIndex}">Sudah Dimainkan</h6>`;
                }
            }

            function renderGift(data, cell, row) {
                if (data != null) {
                    return data;
                } else {
                    return ``;
                }
            }

            function renderAction(data, cell, row) {
                return `<div>` +
                    `<a onclick="copyLink('${data}')" class="mx-3" data-row="${row.dataIndex}" style="cursor: pointer" data-bs-toggle="tooltip" data-bs-original-title="Copy Code"><i class="material-icons text-secondary position-relative text-lg">copy_all</i></a>` +
                    `<a href="/admin/code-voucher/claim/${data}" class="mx-3" data-row="${row.dataIndex}" style="cursor: pointer" data-bs-toggle="tooltip" data-bs-original-title="Klaim Hadiah"><i class="material-icons text-success position-relative text-lg">check_circle_outline</i></a>` +
                    `<a href="/admin/code-voucher/delete/${data}" class="mx-3" data-row="${row.dataIndex}" style="cursor: pointer" data-bs-toggle="tooltip" data-bs-original-title="Klaim Hadiah"><i class="material-icons text-danger position-relative text-lg">delete_forever</i></a>` +
                    `</div>`;
            }

            new simpleDatatables.DataTable("#products-list", {
                data: obj,
                perPage: 10,
                columns: [{
                        select: 2,
                        render: renderStatus
                    },
                    {
                        select: 3,
                        render: renderGift
                    },
                    {
                        select: 5,
                        render: renderAction,
                        sortable: false
                    },
                ]
            });
        };

        function copyLink(text) {

            var input = document.createElement("input");
            input.value = text.toUpperCase();

            input.select();
            input.setSelectionRange(0, 99999); /* For mobile devices */

            navigator.clipboard.writeText(input.value).then(function() {
                $.notify("Link telah di Copy. \n " + text.toUpperCase(), 'success');
            }, function(err) {
                console.error('Async: Could not copy text: ', err);
            });
        }
    </script>
@endsection
