@extends('layouts.layout-admin')

@section('content')
    <div class="row" style="min-height: 74vh">
        <div class="col-lg-6 col-md-8 col-12 mx-auto px-lg-4 px-0">
            <h3 class="mt-3 mb-0 text-center">{{ isset($detail) ? 'Ubah' : 'Tambah' }} Hadiah Spin Wheel</h3>
            <p class="lead font-weight-normal opacity-8 mb-5 text-center"></p>
            <div class="card z-index-0">
                <div class="card-header p-0 position-relative mt-n4 mx-3 z-index-2">
                    <div class="bg-gradient-primary shadow-primary border-radius-lg py-3 pe-1">
                        <h4 class="text-white font-weight-bolder text-center mt-2 mb-0">Form</h4>
                    </div>
                </div>
                <div class="card-body">
                    <form role="form" id="form" class="text-start"
                        action="{{ isset($detail) ? '/admin/setting/gifts/update' : '/admin/setting/gifts/create' }}"
                        method="POST" enctype="multipart/form-data">
                        @csrf
                        <p class="m-0 p-0 mt-3">Nama Hadiah (Gunakan Enter untuk baris baru)</p>
                        <div class="input-group input-group-outline">
                            <textarea class="form-control" placeholder="Nama Hadiah" name="name" rows="4" cols="50">{{ isset($detail) ? $detail->name : 'PAJERO' . "\r\n" . 'SPORT' }}</textarea>
                        </div>
                        <div class="form-check m-0 p-0 mt-3">
                            <input type="radio" name="zonk" value="1"
                                {{ isset($detail) && $detail->zonk == 1 ? 'checked' : '' }} class="form-check-input"
                                id="exampleCheck1">
                            <label class="form-check-label" for="exampleCheck1">Zonk</label>
                        </div>
                        <div class="form-check m-0 p-0 mt-3">
                            <input type="radio" name="zonk" value="0"
                                {{ !isset($detail) || (isset($detail) && $detail->zonk == 0) ? 'checked' : '' }}
                                class="form-check-input" id="exampleCheck1">
                            <label class="form-check-label" for="exampleCheck1">Tidak Zonk</label>
                        </div>
                        <p class="m-0 p-0 mt-3">Gambar Hadiah</p>
                        <div class="input-group input-group-outline">
                            <input type="file" class="form-control" name="gift_image"
                                value="{{ isset($detail) ? $detail->gift_image : '' }}">
                        </div>
                        <p class="m-0 p-0 mt-3">Persen Kemungkinan (%)</p>
                        <div class="input-group input-group-outline">
                            <input type="number" min="0" max="1000000000" step="1" class="form-control"
                                placeholder="Persen Kemungkinan" name="probabilty"
                                value="{{ isset($detail) ? $detail->probabilty : 0 }}">
                        </div>
                        <p class="m-0 p-0 mt-3">Ukuran Teks</p>
                        <div class="input-group input-group-outline">
                            <input type="number" class="form-control" placeholder="Ukuran Teks" name="textFontSize"
                                value="{{ isset($detail) ? $detail->textFontSize : 22 }}">
                        </div>
                        <p class="m-0 p-0 mt-3">Warna Teks</p>
                        <div class="input-group input-group-outline">
                            <input type="color" class="form-control" style="height: 40px"
                                value="{{ isset($detail) ? $detail->text_color : '#ff0000' }}" placeholder="Warna Teks"
                                name="text_color">
                        </div>
                        <p class="m-0 p-0 mt-3">Jenis Huruf (misal : "Times New Roman", Times, serif)</p>
                        <p class="m-0 p-0 mb-2"><u><a class="m-0 p-0 small" target="_blank"
                                    href="https://www.w3schools.com/cssref/playdemo.asp?filename=playcss_font-family">referensi
                                    klik disini</a></u></p>
                        <div class="input-group input-group-outline">
                            <input type="text" class="form-control" style="height: 40px"
                                value="{{ isset($detail) ? $detail->textFontFamily : $defaultFontFamily }}"
                                placeholder="Jenis Huruf" name="textFontFamily">
                        </div>
                        @if (isset($detail))
                            <input type="hidden" class="form-control" name="id" value="{{ $detail->id }}">
                        @endif
                        <div class="text-center mb-3">
                            <button type="submit"
                                class="btn bg-gradient-primary w-100 my-4 mb-2">{{ isset($detail) ? 'Ubah' : 'Simpan' }}</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('script')
    <script>
        if (document.getElementById('edit-gift')) {
            var quill = new Quill('#edit-gift', {
                theme: 'snow' // Specify theme in configuration
            });
        };

        $("#form").on("submit", function() {
            $("#gift").val($("#edit-gift .ql-editor").html());
        })
    </script>
@endsection
