@extends('layouts.layout-admin')

@section('content')
    <style>
        .no-sort::after {
            display: none !important;
        }

        .no-sort {
            pointer-events: none !important;
            cursor: default !important;
        }
    </style>

    <div class="row" style="min-height: 74vh">
        <div class="col-12 px-lg-4 px-0">
            <div class="card">
                <!-- Card header -->
                <div class="card-header pb-0">
                    <div class="d-lg-flex">
                        <div>
                            <h5 class="mb-0">Pengaturan</h5>
                            <p class="text-sm mb-0">
                                Kelola dan edit disini
                            </p>
                            <p class="bg-warning text-white px-3 py-1 mt-2 rounded-3">
                                Note: Untuk mengganti gambar, sesuaikan dengan ukuran dan frame gambar default. Klik kanan
                                pada gambar untuk menyimpan/download
                                gambar terlebih dahulu, kemudian edit dengan software/tool yang Anda sukai.
                            </p>
                        </div>

                    </div>
                </div>
                <div class="card-body px-0 pb-0">
                    <div class="table-responsive">
                        <table class="table table-flush" id="products-list">
                            <thead class="thead-light">
                                <tr>
                                    <th class="text-center">No</th>
                                    <th class="">Judul</th>
                                    <th class="col-lg-3">Value</th>
                                    <th class="text-center"></th>
                                </tr>
                            </thead>
                            <tbody>
                                @php
                                    $total = 0;
                                @endphp
                                @foreach ($list as $item)
                                    <tr>
                                        <td class="text-sm text-center">
                                            {{ $loop->iteration }}
                                        </td>
                                        <td class="">
                                            {!! $item->title !!}
                                        </td>
                                        <td>
                                            @if ($item->type == 'image' && $item->value != '' && $item->value != null)
                                                <img src="{{ $item->value }}" class="img img-fluid"
                                                    style="width: 200px;" />
                                            @elseif ($item->type == 'image' && $item->value == null && $item->default_value != null)
                                                <img src="{{ $item->default_value }}" class="img img-fluid"
                                                    style="width: 200px;" />
                                            @elseif ($item->type == 'audio' && $item->value != '' && $item->value != null)
                                                <audio controls>
                                                    <source src="{{ $item->value }}" type="audio/ogg">
                                                    <source src="{{ $item->value }}" type="audio/mpeg">
                                                    Your browser does not support the audio element.
                                                </audio>
                                            @elseif ($item->type == 'audio' && $item->value == null && $item->default_value != null)
                                                <audio controls>
                                                    <source src="{{ $item->default_value }}" type="audio/ogg">
                                                    <source src="{{ $item->default_value }}" type="audio/mpeg">
                                                    Your browser does not support the audio element.
                                                </audio>
                                            @elseif ($item->type == 'color' && $item->value != '' && $item->value != null)
                                                <input type="color" class="col-5" style="height: 20px"
                                                    value="{{ $item->value }}" disabled>
                                            @elseif ($item->type == 'gradientColor' && $item->value != '' && $item->value != null)
                                                @foreach (json_decode($item->value) as $color)
                                                    <input type="color" class="col-5" style="height: 20px"
                                                        value="{{ $color }}" disabled>
                                                @endforeach
                                            @else
                                                <div style="width: 45vw" class="text-truncate">{!! $item->value !!}</div>
                                            @endif
                                        </td>
                                        <td class="text-sm text-center">
                                            <a href="/admin/setting/view/{{ $item->key }}" class="mx-3"
                                                data-bs-toggle="tooltip" data-bs-original-title="Edit product">
                                                <i
                                                    class="material-icons text-secondary position-relative text-lg">drive_file_rename_outline</i>
                                            </a>
                                            <a href="/admin/setting/view/reset/{{ $item->key }}" class="mx-3"
                                                data-bs-toggle="tooltip" data-bs-original-title="Reset">
                                                <i
                                                    class="material-icons text-secondary position-relative text-lg">restart_alt</i>
                                            </a>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
