<?php

namespace App\Http\Controllers\Admin\Settings;

use App\Http\Controllers\Controller;
use App\Models\AdminModel;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class AccountController extends Controller
{

    function index()
    {
        $title = "Pengaturan Account";

        $detail = auth()->user();

        return view('/pages/admin/settings/account/index', [
            'title' => $title,
            'detail' => $detail
        ]);
    }

    function save(Request $request)
    {
        $data = $request->all();
        
        $id = Auth::id();

        unset($data['_token']);
        
        $data['password'] = bcrypt($data['password']);

        User::where('id', $id)->update($data);

        $request->session()->flash('success', 'Berhasil menyimpan account!');

        return redirect('/admin/setting/account');
    }
}
