<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCodeVoucherTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('code_voucher', function (Blueprint $table) {
            $table->string('id', 36)->unique();
            $table->text('name')->nullable();
            $table->text('code')->nullable();
            $table->integer('gift')->nullable();
            $table->text('gift_name')->nullable();
            $table->integer('claim')->default(0);
            $table->timestamp('date_generated', 0)->useCurrent();
            $table->timestamp('date_used', 0)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('code_voucher');
    }
}
