const mix = require("laravel-mix");

require("laravel-mix-obfuscator");

/*
 |--------------------------------------------------------------------------
 | Mix Asset Management
 |--------------------------------------------------------------------------
 |
 | Mix provides a clean, fluent API for defining some Webpack build steps
 | for your Laravel applications. By default, we are compiling the CSS
 | file for the application as well as bundling up all the JS files.
 |
 */

mix.js("resources/js/app.js", "public/js").postCss(
    "resources/css/app.css",
    "public/css",
    [
        //
    ]
);

mix.js("resources/mystery-box/js/log.js", "public/mystery-box/js").obfuscator();

mix.js(
    "resources/mystery-box/js/start.js",
    "public/mystery-box/js"
).obfuscator();

mix.js(
    "resources/mystery-box/js/index.js",
    "public/mystery-box/js"
).obfuscator();

mix.js(
    "resources/mystery-box/css/index-pretty.css",
    "public/mystery-box/js"
).obfuscator();

mix.js(
    "resources/mystery-box/css/tailwind.min.css",
    "public/mystery-box/js"
).obfuscator();
