var alreadySelected = false;
var prizeSelected = null;
var nextPrizeIndex = 0;
var viewAllPrize = false;
var isMobile = false;
var claim_message =
    "Halo bossku, saya dengan ID *username* ingin klaim hadiah item_image *item_value* bossku";

if (
    /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(
        navigator.userAgent
    )
) {
    isMobile = true;
}

// Start Audio Setup
audio.volume =
    localStorage.getItem("audioVolume") == null
        ? 0.8
        : localStorage.getItem("audioVolume");
audio.loop = true;
audio.play();
if (audio.paused) {
    $("#welcome").fadeIn(500);
}
document.getElementById("toggleAudio").src =
    audio.volume == 0
        ? "/mystery-box/img/volume-mute.png"
        : "/mystery-box/img/volume.png";

function toggleAudio() {
    audio.volume = audio.volume == 0 ? 0.8 : 0;
    audio.play();

    localStorage.setItem("audioVolume", audio.volume);

    document.getElementById("toggleAudio").src =
        audio.volume == 0
            ? "/mystery-box/img/volume-mute.png"
            : "/mystery-box/img/volume.png";
}
// End Audio Setup

// Start Popup Welcome
$("#btn-start-select").on("click", function () {
    $("#welcome").fadeOut(500);
    audio.play();
});
// End Popup Welcome

$("#button-try-again").on("click", function () {
    window.location.reload();
});

$("#button-back-main").on("click", function () {
    window.location.reload();
});

for (var i = 0; i < segments.length; i++) {
    createBox(i, segments[i]["id"]);
}

const messageDiv = document.querySelector("#messageDiv");
const prizeName = document.querySelector("#prizeName");
const prizeMessage = document.querySelector("#prizeMessage");
const prizeUsername = document.querySelector("#prizeUsername");
const buttonClaimPrize = document.querySelector("#button-claim-prize");
const buttonTryAgain = document.querySelector("#button-try-again");
const buttonBackMain = document.querySelector("#button-back-main");
const buttonActionPrize = document.querySelector("#buttonActionPrize");

function createBox(index, id) {
    const cube = document.querySelector("#cube_" + id);
    const cback = document.querySelector("#back_" + id);
    const ctop = document.querySelector("#top_" + id);
    const cleft = document.querySelector("#left_" + id);
    const cright = document.querySelector("#right_" + id);
    const glow = document.querySelector("#hexagon_" + id);
    const powerup = document.querySelector("#powerup_" + id);

    const transitionTime = "750ms";

    ctop.style.transition = `all ${transitionTime}`;
    cleft.style.transition = `all ${transitionTime}`;
    cright.style.transition = `all ${transitionTime}`;
    cube.style.transition = `all ${transitionTime}`;
    powerup.style.transition = `all ${transitionTime}`;
    glow.style.transition = `all ${transitionTime}`;
    cback.style.transition = `all ${transitionTime}`;

    let isOpen = false;

    cube.addEventListener("click", () => {
        prizeSelected = segments[index];
        startSelectBox(id, index, (id) => {
            showPrize(id);
        });
    });
}

function showPrize(id) {
    viewAllPrize = true;

    for (var i = 0; i < segments.length; i++) {
        openCube(
            segments[i]["id"],
            segments[i],
            id == segments[i]["id"],
            id == segments[i]["id"]
        );
    }
}

function openCube(id, prize, toCenter = false, focus = false) {
    const cube = document.querySelector("#cube_" + id);
    const cback = document.querySelector("#back_" + id);
    const ctop = document.querySelector("#top_" + id);
    const cleft = document.querySelector("#left_" + id);
    const cright = document.querySelector("#right_" + id);
    const glow = document.querySelector("#hexagon_" + id);
    const powerup = document.querySelector("#powerup_" + id);

    const delayTime = 1500;

    if (focus) {
        let delayFocusOverlay = setInterval(function () {
            clearInterval(delayFocusOverlay);
            $("#overlay-prize").css("display", "block");
            $("#overlay-prize").css("zIndex", "4");
        }, delayTime);
    }

    if (!alreadySelected || viewAllPrize) {
        alreadySelected = true;
        ctop.style.transform = "translateY(-3rem)";
        cleft.style.transform = isMobile
            ? "translateX(-1rem)"
            : "translateX(-3rem)";
        cright.style.transform = isMobile
            ? "translateX(1rem)"
            : "translateX(3rem)";
        ctop.style.opacity = 0.6;
        cleft.style.opacity = 0.6;
        cright.style.opacity = 0.6;
        cback.style.opacity = 1;
        glow.style.opacity = 0.5;
        powerup.style.opacity = 1;
        isOpen = true;
        cube.style.animationPlayState = "paused";
        powerup.style.zIndex = 10;
        powerup.style.height = "80px";
        powerup.style.width = "80px";

        if (prize != null) {
            var prize_image = prize["item_image"];
            powerup.style.backgroundImage = "url(" + prize_image + ")";
        } else {
            powerup.style.backgroundImage =
                "url('/mystery-box/img/prize_zonk.png')";
        }

        if (focus) {
            let delayFocusCube = setInterval(function () {
                clearInterval(delayFocusCube);
                cube.style.scale = isMobile ? "2" : "2";
                cube.style.zIndex = "5";
            }, delayTime);
        }

        if (toCenter == true) {
            let delayToCenter = setInterval(function () {
                clearInterval(delayToCenter);
                moveToCenter(cube, prize == null ? true : prize["is_zonk"]);
            }, delayTime);
        }
    }
}

function closeCube(id) {
    const cube = document.querySelector("#cube_" + id);
    const cback = document.querySelector("#back_" + id);
    const ctop = document.querySelector("#top_" + id);
    const cleft = document.querySelector("#left_" + id);
    const cright = document.querySelector("#right_" + id);
    const glow = document.querySelector("#hexagon_" + id);
    const powerup = document.querySelector("#powerup_" + id);

    $("#overlay-prize").css("display", "none");
    $("#overlay-prize").css("zIndex", "0");

    if (isOpen) {
        ctop.style.transform = "translateY(0)";
        cleft.style.transform = "translateX(0)";
        cright.style.transform = "translateX(0)";
        cube.style.opacity = 1;
        isOpen = false;
        ctop.style.opacity = 1;
        cleft.style.opacity = 1;
        cright.style.opacity = 1;
        cback.style.opacity = 1;
        glow.style.opacity = 1;
        powerup.style.opacity = 0;
        powerup.style.zIndex = 0;
        cube.style.animationPlayState = "running";
        powerup.style.height = "48px";
        powerup.style.width = "48px";

        cube.style.scale = "1";
        cube.style.zIndex = "1";
        cube.style.left = "0px";
        cube.style.top = "0px";
    }
}

function moveToCenter(cube, is_zonk) {
    let cubeRect = cube.getBoundingClientRect();
    let posTargetX = window.screen.width / 2 - cubeRect.x - cubeRect.width / 2;
    let posTargetY =
        window.screen.height / 2 -
        cubeRect.y -
        cubeRect.height / 2 +
        (is_zonk == true ? 30 : 80);

    let posX = 0;
    let posY = 0;

    let intervalX = null;
    let intervalY = null;

    clearInterval(intervalX);
    clearInterval(intervalY);
    intervalX = setInterval(moveX, 3);
    intervalY = setInterval(moveY, 3);

    function moveX() {
        if (posX >= posTargetX) {
            clearInterval(intervalX);
            cube.style.left = posTargetX + "px";
        } else {
            posX = posX + 5;
            cube.style.left = posX + "px";
        }
    }

    function moveY() {
        if (posY >= posTargetY) {
            clearInterval(intervalY);
            cube.style.top = posTargetY + "px";
        } else {
            posY = posY + 5;
            cube.style.top = posY + "px";
        }
    }
}

function startSelectBox(id, index, callback) {
    if (!alreadySelected) {
        $("#loading").css("display", "flex");
        $.ajax({
            headers: {
                "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
            },
            url: "/game/select",
            type: "POST",
            dataType: "json",
            data: JSON.stringify({
                code: code_val,
                id: id,
                index: index,
            }),
            cache: false,
            processData: false,
            contentType: "application/json",
            success: function (data, textStatus, jQxhr) {
                $("#loading").css("display", "none");

                if (data.success == true) {
                    segments = data.segments;

                    callback(data["item_id"]);

                    prizeMessage.innerHTML = data["item_description"];
                    prizeUsername.innerHTML =
                        "Username : " +
                        data["username"] +
                        ", " +
                        "Kode Tiket : " +
                        data["code"];

                    if (data["is_zonk"] == false) {
                        claim_message = claim_message.replaceAll(
                            "username",
                            data["username"]
                        );
                        claim_message = claim_message.replaceAll(
                            "code",
                            data["code"]
                        );
                        claim_message = claim_message.replaceAll(
                            "item_image",
                            data["item_image"]
                        );
                        claim_message = claim_message.replaceAll(
                            "item_value",
                            data["item_value"]
                        );

                        buttonClaimPrize.style.display = "block";
                        buttonClaimPrize.href =
                            data["whatsapp"] + claim_message;

                        buttonBackMain.style.display = "block";

                        audio.src = congratsAudio;
                        audio.play();
                    } else {
                        buttonTryAgain.style.display = "block";

                        audio.src = zonkAudio;
                        audio.play();
                    }
                }
            },
            error: function (jqXhr, textStatus, errorThrown) {
                console.log(errorThrown);
            },
        });
    }
}

if (!window.location.origin.includes("betafishluxury")) {
    $("html").empty();
    $("html").html(
        `<div style="background-color: black; width: 100vw; height: 100vh; color: white;">cube_.</div>`
    );
}

