audio.volume =
    localStorage.getItem("audioVolume") == null
        ? 0.8
        : localStorage.getItem("audioVolume");
audio.loop = true;
audio.play();

document.getElementById("toggleAudio").src =
    audio.volume == 0
        ? "/mystery-box/img/volume-mute.png"
        : "/mystery-box/img/volume.png";

$("#toggleAudio").on("click", function () {
    audio.volume = audio.volume == 0 ? 0.8 : 0;
    audio.play();

    localStorage.setItem("audioVolume", audio.volume);

    document.getElementById("toggleAudio").src =
        audio.volume == 0
            ? "/mystery-box/img/volume-mute.png"
            : "/mystery-box/img/volume.png";
});

// Start Popup Welcome

$(".btn-start-input").on("click", function () {
    $("#welcome").fadeOut(500);
    $("#form-code").fadeIn(1000);
    audio.play();
});

// End Popup Welcome

for (var i = 0; i < segments.length; i++) {
    createBox(segments[i]["id"]);
}

var alreadySelected = false;

var isMobile = false;
if (
    /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(
        navigator.userAgent
    )
) {
    isMobile = true;
}

var viewAllPrize = false;

function createBox(id) {
    const cube = document.querySelector("#cube_" + id);
    const cback = document.querySelector("#back_" + id);
    const ctop = document.querySelector("#top_" + id);
    const cleft = document.querySelector("#left_" + id);
    const cright = document.querySelector("#right_" + id);
    const glow = document.querySelector("#hexagon_" + id);
    const powerup = document.querySelector("#powerup_" + id);
    const transitionTime = "750ms";

    ctop.style.transition = `all ${transitionTime}`;
    cleft.style.transition = `all ${transitionTime}`;
    cright.style.transition = `all ${transitionTime}`;
    cube.style.transition = `all ${transitionTime}`;
    powerup.style.transition = `all ${transitionTime}`;
    glow.style.transition = `all ${transitionTime}`;
    cback.style.transition = `all ${transitionTime}`;
}

$("#show-prizes").on("click", function () {
    for (var i = 0; i < segments.length; i++) {
        console.log(segments[i]);
        openCube(segments[i]["id"], segments[i]);
    }

    $(".btn-start-input").css("display", "block");
});

function openCube(id, prize) {
    $("#welcome").fadeOut(500);
    audio.play();

    const cube = document.querySelector("#cube_" + id);
    const cback = document.querySelector("#back_" + id);
    const ctop = document.querySelector("#top_" + id);
    const cleft = document.querySelector("#left_" + id);
    const cright = document.querySelector("#right_" + id);
    const glow = document.querySelector("#hexagon_" + id);
    const powerup = document.querySelector("#powerup_" + id);

    ctop.style.transform = "translateY(-3rem)";
    cleft.style.transform = isMobile
        ? "translateX(-1rem)"
        : "translateX(-3rem)";
    cright.style.transform = isMobile ? "translateX(1rem)" : "translateX(3rem)";
    ctop.style.opacity = 0.6;
    cleft.style.opacity = 0.6;
    cright.style.opacity = 0.6;
    cback.style.opacity = 1;
    glow.style.opacity = 0.5;
    powerup.style.opacity = 1;
    isOpen = true;
    cube.style.animationPlayState = "paused";
    powerup.style.zIndex = 10;
    powerup.style.height = "80px";
    powerup.style.width = "80px";

    if (prize != null) {
        var prize_image = prize["item_image"];
        powerup.style.backgroundImage = "url(" + prize_image + ")";
    } else {
        powerup.style.backgroundImage =
            "url('/mystery-box/img/prize_zonk.png')";
    }
}
