@extends('layouts.layout-admin')

@section('content')
    <style>
        .no-sort::after {
            display: none !important;
        }

        .no-sort {
            pointer-events: none !important;
            cursor: default !important;
        }
    </style>

    <div class="row" style="min-height: 74vh">
        <div class="col-12 px-lg-4 px-0">
            <div class="card">
                <!-- Card header -->
                <div class="card-header pb-0">
                    <div class="d-lg-flex">
                        <div>
                            <h5 class="mb-0">Hadiah</h5>
                            <p class="text-sm mb-0">
                                Kelola, buat baru, hapus, dan edit disini
                            </p>
                        </div>
                        <div class="ms-auto my-auto mt-lg-0 mt-4">
                            <div class="ms-auto my-auto">
                                <a href="/admin/setting/gifts/new" class="btn bg-gradient-primary btn-sm mb-0">+&nbsp;
                                    Tambah Baru </a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card-body px-0 pb-0">
                    <div class="table-responsive">
                        <table class="table table-flush" id="products-list">
                            <thead class="thead-light">
                                <tr>
                                    <th class="text-center">No</th>
                                    <th class="text-center">Nama Hadiah</th>
                                    <th class="text-center">Zonk</th>
                                    <th class="text-center">Gambar Hadiah</th>
                                    <th class="text-center">Persen Kemungkinan</th>
                                    <th class="text-center"></th>
                                </tr>
                            </thead>
                            <tbody>
                                @php
                                    $total = 0;
                                @endphp
                                @foreach ($list as $item)
                                    @php
                                        $total += $item->probabilty;
                                    @endphp
                                    <tr>
                                        <td class="text-sm text-center">
                                            {{ $loop->iteration }}
                                        </td>
                                        <td class="text-center">
                                            {{ $item->name }}
                                        </td>
                                        <td class="text-center">
                                            <input type="checkbox" {{ $item->zonk == 1 ? 'checked' : '' }}
                                                onclick="return false;">
                                        </td>
                                        <td class="text-center">
                                            <img src="{{ $item->gift_image }}" style="width: 100px; height: 100px;" />
                                        </td>
                                        <td class="text-center">
                                            {{ $item->probabilty }}%
                                        </td>
                                        <td class="text-sm text-center">
                                            <a href="/admin/setting/gifts/edit/{{ $item->id }}" class="mx-3"
                                                data-bs-toggle="tooltip" data-bs-original-title="Ubah Hadiah">
                                                <i
                                                    class="material-icons text-secondary position-relative text-lg">drive_file_rename_outline</i>
                                            </a>
                                            <a href="/admin/setting/gifts/delete/{{ $item->id }}"
                                                data-bs-toggle="tooltip" data-bs-original-title="Hapus Hadiah">
                                                <i
                                                    class="material-icons text-secondary position-relative text-lg">delete</i>
                                            </a>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                            <tbody class="thead-light">
                                <tr>
                                    <th class="text-center">Total</th>
                                    <th class="text-center"></th>
                                    <th class="text-center"></th>
                                    <th class="text-center"></th>
                                    <th class="text-center">{{ $total }}%</th>
                                    <th class="text-center"></th>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
