@extends('layouts.layout-admin')

@section('content')

    <div class="row" style="min-height: 74vh">
        <div class="col-lg-6 col-md-8 col-12 mx-auto px-lg-4 px-0">
            <h3 class="mt-3 mb-0 text-center">{{ $title }}</h3>
            <p class="lead font-weight-normal opacity-8 mb-5 text-center"></p>
            <div class="card z-index-0">
                <div class="card-header p-0 position-relative mt-n4 mx-3 z-index-2">
                    <div class="bg-gradient-primary shadow-primary border-radius-lg py-3 pe-1">
                        <h4 class="text-white font-weight-bolder text-center mt-2 mb-0">Form</h4>
                    </div>
                </div>

                <div class="card-body">
                    <form role="form" id="form" class="text-start" action="/admin/setting/view/save" method="POST"
                        enctype="multipart/form-data">
                        @csrf
                        @if ($detail->type == 'number')
                            <p class="m-0 p-0 mt-3">Silahkan Input Angka</p>
                            <div class="input-group input-group-outline">
                                <input type="number" class="form-control" name="value"
                                    value="{{ isset($detail) ? $detail->value : '' }}">
                            </div>
                        @endif

                        @if ($detail->type == 'text')
                            <p class="m-0 p-0 mt-3">Silahkan Input Text</p>
                            <div class="input-group input-group-outline">
                                <input type="text" class="form-control" name="value"
                                    value="{{ isset($detail) ? $detail->value : '' }}">
                            </div>
                        @endif

                        @if ($detail->type == 'quill')
                            <input type="hidden" class="form-control" id="value" name="value"
                                value="{{ isset($detail) ? $detail->value : '' }}">
                            <p class="m-0 p-0 mt-3">Silahkan Input Text</p>
                            <div id="edit-value" class="h-50">
                                {!! isset($detail) ? $detail->value : '' !!}
                            </div>
                        @endif

                        @if ($detail->type == 'color')
                            <p class="m-0 p-0 mt-3">Silahkan Pilih Warna</p>
                            <div class="input-group input-group-outline">
                                <input type="color" class="form-control" name="value"
                                    value="{{ isset($detail) ? $detail->value : '' }}" style="height: 40px">
                            </div>
                        @endif

                        @if ($detail->type == 'gradientColor')
                            <?php $index = 0; ?>
                            @foreach (json_decode($detail->value) as $color)
                                <?php $index++; ?>
                                <p class="m-0 p-0 mt-3">Silahkan Pilih Warna {{ $index }}</p>
                                <div class="input-group input-group-outline">
                                    <input type="color" class="form-control" name="value[]" value="{{ $color }}"
                                        style="height: 40px">
                                </div>
                            @endforeach
                        @endif

                        @if ($detail->type == 'image' || $detail->type == 'audio')
                            <p class="m-0 p-0 mt-3">Pilih File</p>
                            <div class="input-group input-group-outline">
                                <input type="file" class="form-control" name="value"
                                    value="{{ isset($detail) ? $detail->value : '' }}">
                            </div>
                        @endif

                        @if (isset($detail))
                            <input type="hidden" class="form-control" name="key" value="{{ $detail->key }}">
                        @endif
                        <div class="text-center mb-3">
                            <button type="submit" class="btn bg-gradient-primary w-100 my-4 mb-2">Simpan</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

@endsection

@section('script')
    <script>
        if (document.getElementById('edit-value')) {
            var quill = new Quill('#edit-value', {
                theme: 'snow' // Specify theme in configuration
            });
        };

        $("#form").on("submit", function() {
            $("#value").val($("#edit-value .ql-editor").html());
        })
    </script>
@endsection
